pydo.projects.list_resources()
Generated on 3 Aug 2026
from pydo version
v0.40.0
Usage
client.projects.list_resources(
project_id="4de7ac8b-495b-4884-9a69-1050c6793cd6",
per_page=20,
page=1,
)Description
To list all your resources in a project, send a GET request to /v2/projects/{project_id}/resources.
This endpoint will only return resources that you are authorized to see. For example, to see Droplets in a project, include the droplet:read scope.
Parameters
project_idstring requiredA unique identifier for a project.
per_pageinteger optionalNumber of items returned per page
pageinteger optionalWhich 'page' of paginated results to return.
Request Sample
Pagination
This method returns paginated results. The response includes a
links.pages object with URLs for navigating between pages. To
retrieve the next page, parse the next URL and pass the page
parameter:
from urllib.parse import urlparse, parse_qs
resp = client.projects.list_resources(project_id="4de7ac8b-495b-4884-9a69-1050c6793cd6", )
pages = resp.get("links", {}).get("pages", {})
while "next" in pages:
parsed = urlparse(pages["next"])
page = int(parse_qs(parsed.query)["page"][0])
resp = client.projects.list_resources(project_id="4de7ac8b-495b-4884-9a69-1050c6793cd6", page=page)
pages = resp.get("links", {}).get("pages", {})Response Example
More Information
See /v2/projects/{project_id}/resources in the API reference for additional detail on responses, headers, parameters, and more.